Summary:  The %_vendor Control Center 
Name:     drakconf
Version:  12.30
Release:  %mkrel 1
# get the source from our svn repository
Source0:  %name-%version.tar.xz
License:  GPLv2+
Group:    System/Configuration/Other
Url:      http://www.mageia.org
BuildRequires: gettext intltool
BuildRequires: perl-MDK-Common-devel
BuildRequires: drakxtools-backend
Requires: mageia-release, drakxtools
Requires: harddrake-ui, usermode
Suggests: system-config-printer, rpmdrake, transfugdrake, drakmenustyle, drakguard
#Suggests: draksnapshot # needs to be cleant
Suggests: mgaonline
Suggests: msec-gui
Requires: userdrake
Requires: drakconf-icons = %version
Requires: drakx-net-applet, drak3d, drakx-kbd-mouse-x11
# workaround rpm issues on updates (bad ordering relating to virtual packages?):
Requires: perl-Gtk2-WebKit
%define _requires_exceptions perl(Gtk2::Html2)
BuildArch: noarch

%description
drakconf includes the %_vendor Control Center which is an interface to 
multiple utilities from DrakXtools.

%package icons
Summary: Icons of the %_vendor Control Center
Group:   Graphical desktop/Other

%description icons
This package hold icons of the %_vendor Control Center used in
tools' banners.

%prep
%setup -q
%apply_patches

%build

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std

#install lang
%find_lang %name

#install menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m644 drakconf.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%_real_vendor-drakconf.desktop

#install menu icon
mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
install -m644 drakconf16.png %buildroot/%_miconsdir/drakconf.png
install -m644 drakconf32.png %buildroot/%_iconsdir/drakconf.png
install -m644 drakconf48.png %buildroot/%_liconsdir/drakconf.png

#this allow user to use drakconf
ln -sf %_bindir/drakconf %buildroot/%_sbindir/drakconf

install -d %buildroot/etc
touch %buildroot/etc/mcc.conf

for i in %buildroot{%_sbindir,%_bindir}/mcc; do ln -s {drakconf,$i}; done

(cd $RPM_BUILD_ROOT ; find usr -type f -name "*.png"  -printf "/%%p\n") > images-big.list
perl -ni -e '/128/ ? print : print STDERR $_ ' images-big.list 2> images.list
cat images-big.list >> %name.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files icons -f images.list
%defattr(-,root,root)

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING 
%config(noreplace) %ghost %{_sysconfdir}/mcc.conf
%config(noreplace) %{_sysconfdir}/sysconfig/mcc.conf
%_bindir/*
%_sbindir/*
%{_datadir}/applications/%_real_vendor-drakconf.desktop
%{perl_vendorlib}/MDV
%dir %_datadir/mcc
%_datadir/mcc/progs.conf
%dir %_datadir/mcc/themes/
%dir %_datadir/mcc/themes/default
%_datadir/mcc/themes/default/gtkrc


%changelog

* Thu May 31 2012 ennael <ennael> 12.30-1.mga2
+ Revision: 252466
- use design from original author
- use new icon for about splash
- fix splash screen #5873

* Thu May 10 2012 schultz <schultz> 12.28-1.mga2
+ Revision: 235040
- 12.28 - add new ups icon (mga#281)

* Mon Apr 30 2012 ennael <ennael> 12.27-1.mga2
+ Revision: 234410
- new logos and temporary splash

* Fri Apr 13 2012 ennael <ennael> 12.26-1.mga2
+ Revision: 230649
- tremporary splash screen

* Thu Apr 12 2012 ennael <ennael> 12.25-1.mga2
+ Revision: 230492
- fix left background

* Sun Apr 08 2012 ennael <ennael> 12.24-1.mga2
+ Revision: 229766
- 12.24

* Sat Mar 24 2012 tv <tv> 12.23-1.mga2
+ Revision: 226013
- updated translations
- replace very old versionnated requires by simpler requires
- drop require on popt (really lib{,64}popt0
- clean doble requires & old versionnated requires
- drop very old conflicts

* Wed Jan 25 2012 tv <tv> 12.22.1-2.mga2
+ Revision: 201212
- suggests msec-gui now that it isn't pulled in basesystem

* Sat Dec 10 2011 tv <tv> 12.22.1-1.mga2
+ Revision: 180273
- further update Release Notes URL

* Sat Dec 10 2011 tv <tv> 12.22-1.mga2
+ Revision: 180081
- fix Errata URL (mga#3603)
- update Release Notes URL according to mga1?\194?\160practice

  + pterjan <pterjan>
    - Cleanup a bit the spec

* Fri May 27 2011 ennael <ennael> 12.21.9-2.mga1
+ Revision: 100577
- remove drakfax

* Tue May 24 2011 ennael <ennael> 12.21.9-1.mga1
+ Revision: 100311
- fix left background

* Mon May 23 2011 ennael <ennael> 12.21.8-2.mga1
+ Revision: 100271
- clean old suggests and requires
- remove for now draksnapshot suggests as it needs to be improved a lot

* Thu May 19 2011 ennael <ennael> 12.21.8-1.mga1
+ Revision: 99747
- redraw drakconf icons and splash

* Thu May 19 2011 tv <tv> 12.21.7-1.mga1
+ Revision: 99716
- use proper unicode character for (TM) (mga#473)

* Sun May 15 2011 ennael <ennael> 12.21.6-1.mga1
+ Revision: 99181
- remove beta in left background

* Sat May 14 2011 ahmad <ahmad> 12.21.5-1.mga1
+ Revision: 98785
- Update to 12.21.5:
  o Adapt to the update applet name change (it's now mgaapplet*)

* Thu Apr 21 2011 ennael <ennael> 12.21.4-1.mga1
+ Revision: 89402
- remove extended maintainance

* Mon Apr 04 2011 ennael <ennael> 12.21.3-1.mga1
+ Revision: 80299
- update left background filling

* Sun Apr 03 2011 ennael <ennael> 12.21.2-1.mga1
+ Revision: 80004
- update left background

* Sun Feb 20 2011 ahmad <ahmad> 12.21.1-1.mga1
+ Revision: 54470
- MandrivaUpdate is now MageiaUpate, change the icon file names too

* Tue Feb 15 2011 ahmad <ahmad> 12.21-3.mga1
+ Revision: 52027
- don't use separate SOURCES for icons, copy them from the %%_builddir

* Tue Feb 15 2011 ahmad <ahmad> 12.21-2.mga1
+ Revision: 52020
- use new icons

* Mon Feb 14 2011 ennael <ennael> 12.21-1.mga1
+ Revision: 51641
+ rebuild (emptylog)

* Mon Feb 14 2011 ennael <ennael> 12.20.1-2.mga1
+ Revision: 51592
- move to drakx-net-applet require

* Mon Feb 14 2011 dmorgan <dmorgan> 12.20.1-1.mga1
+ Revision: 51587
- Fix drakconf start

* Sun Feb 06 2011 dmorgan <dmorgan> 12.20-1.mga1
+ Revision: 47724
- imported package drakconf

